import request from '@/utils/request'

// 查询AI对应事件列表
export function listAideviceevent(query) {
  return request({
    url: '/center-monitor/aideviceevent/list',
    method: 'get',
    params: query
  })
}

// 查询AI对应事件详细
export function getAideviceevent(id) {
  return request({
    url: '/center-monitor/aideviceevent/' + id,
    method: 'get'
  })
}

// 新增AI对应事件
export function addAideviceevent(data) {
  return request({
    url: '/center-monitor/aideviceevent',
    method: 'post',
    data: data
  })
}

// 修改AI对应事件
export function updateAideviceevent(data) {
  return request({
    url: '/center-monitor/aideviceevent',
    method: 'put',
    data: data
  })
}

// 删除AI对应事件
export function delAideviceevent(id) {
  return request({
    url: '/center-monitor/aideviceevent/' + id,
    method: 'delete'
  })
}

// 查询事件类型选项
export function selectEventType() {
  return request({
    url: '/center-monitor/aideviceevent/selectEventType',
    method: 'get'
  })
}
